--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: model_map
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: record_map
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: add
- !ruby/object:RI::MethodSummary 
  name: attributes
- !ruby/object:RI::MethodSummary 
  name: create
- !ruby/object:RI::MethodSummary 
  name: create!
- !ruby/object:RI::MethodSummary 
  name: expand_callable_values
- !ruby/object:RI::MethodSummary 
  name: make
- !ruby/object:RI::MethodSummary 
  name: pick
- !ruby/object:RI::MethodSummary 
  name: record
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: VERSION
  value: "'0.10.1'.freeze"
full_name: DataMapper::Sweatshop
includes: []

instance_methods: []

name: Sweatshop
superclass: Object
